In order for proper operation of the Thru Add-In for Outlook, the following software and hardware requirements must be met:

Operating Systems

  • Windows 10
  • Windows 8.1
  • Windows 7

Microsoft .NET Framework 4.5 or greater

Windows administrator access for installation purposed only

Email Clients

  • Microsoft Outlook 2016 (both 32-bit and 64-bit versions)
  • Microsoft Outlook 2013 (both 32-bit and 64-bit versions)
  • Microsoft Outlook 2010 (both 32-bit and 64-bit versions)

Technical Support

If you are using an older version, download the latest version here.

Hard Drive Space

  • 28 MB or greater

Note : Users that are in the BASIC USER GROUP will also not be able to use this Addin/Connector

Feedback

Was this helpful?

Yes No
You indicated this topic was not helpful to you ...
Could you please leave a comment telling us why? Thank you!
Thanks for your feedback.

Post your comment on this topic.

Please do not use this for support questions.
For customer support, please contact us here.

Post Comment